Bug 502739 - switch to using PolicyKit
switch to using PolicyKit
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: wireshark (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Radek Vokal
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: 502765
  Show dependency treegraph
 
Reported: 2009-05-27 00:31 EDT by Rahul Sundaram
Modified: 2013-03-13 01:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-17 09:53:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2009-05-27 00:31:53 EDT
Description of problem:

usermode/consolehelper is deprecated since Fedora has a better framework now
called PolicyKit. Please switch to using that instead

http://fedoraproject.org/wiki/Features/PolicyKitOne
Comment 1 John Poelstra 2009-06-08 16:18:37 EDT
Added 'FutureFeature' keyword to avoid rawhide base
Comment 2 Olivier Crête 2010-06-14 16:01:15 EDT
Actually, wireshark should run as regular user. The part that needs higher privileges has been split as "dumpcap" and should be launched using the proper polkit magic.
Comment 3 Radek Vokal 2011-02-17 09:53:36 EST
The change has already happened in rawhide. Wireshark now has its own group and user has to be a member of this group. PolicyKit support is not planned.
Comment 4 Olivier Crête 2011-03-23 18:45:57 EDT
I see that this is done in F16, any chance to push that to F15? It will mitigate the next round of CVEs

Note You need to log in before you can comment on or make changes to this bug.